CONFIG = {
    'framework' : 'other',
    'arg' : 'PYCMD -m test.regrtest',
    'env' : None,
    'expect_except' : None,
    'need_sources' : False,
    'location' : None,
    'use_re' : False,
    'eol_patt' : r'\d* tests OK\.',
    'errors' : {
        '2.7' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set(),
        },
        '3.5' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set(),
        },
        '3.6' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set(),
        },
    },
    'failures' : {
        '2.7' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set(),
        },
        '3.5' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set(),
        },
        '3.6' : {
            'Win' : { 'test_regrtest',
                      'test_lib2to3',
                      'test_tools',
                      'test_subprocess',
                      'test_urllib',
                      'test_re',
                      'test_cmd_line',
                      'test_urllib2_localnet',
                      'test_sysconfig',
                      'test_urllib2',
                      'test_platform',
                      'test_distutils', # wininst removal
		    },
            'Lin' : { 'test_venv',
                      'test_selectors',
                      'test_urllib',
                      'test_cmd_line',
                      'test_subprocess',
                      'test_ssl',
                      'test_urllib2',
                      'test_urllib2_localnet',
                      'test_ensurepip',
                      'test_dbm',  # SAT-1549
                      'test_nis',  # SAT-1549
                      'test_distutils',  # wininst removal
                    },
            'Mac' : {
                'test_venv',
                'test_cmd_line',
                'test_ssl',
                'test_urllib',
                'test_urllib2',
                'test_urllib2_localnet',
                'test_ensurepip',
                'test_nis',
                'test_dtrace',
                'test_distutils',  # wininst removal
            }
        },
    },
    'validation' : { #locale settings in VM and/or permissions issue
        'failures' : {
            '3.6' : {
                'Win' : { 'test_os',
                          'test_site',
                          'test_uuid',
                          'test_pydoc',
                          'test_distutils',
                },
                'Lin' : { 'test_dtrace', #SAT-1421
                          'test_site',   #SAT-1421
                          'test_pydoc',
                },
                'Mac' : { 'test_posix',  #SAT-1421
                          'test_pydoc',
                          'test_dtrace',
                },
            },
        },
    },
}

def fetch_config(pyver):
    return CONFIG
